BTRFS-DEBUG-TREE(8)

NAME
btrfs-debug-tree - dump Btrfs filesystem metadata into stdout.

SYNOPSIS
btrfs-debug-tree [options] <device>

DESCRIPTION
btrfs-debug-tree is used to dump the whole tree of the given device. This is maybe useful for analyzing filesystem state or inconsistence and has a positive educational effect on understanding the internal structure. device is the device file where the filesystem is stored. Options

-e  print detailed extents info.

-d  print info of btrfs device and root tree dirs only.

-r  print info of roots only.

-b <block_num>
    print info of the specified block only.

EXIT CODE
btrfs-debug-tree will return 0 if no error happened. If any problems happened, 1 will be returned.

AUTHOR
Written by Shilong Wang and Wenruo Qu.

COPYRIGHT
Copyright © 2013 FUJITSU LIMITED. License GPLv2: GNU GPL version 2 <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
mkfs.btrfs(8)